--- a/arch/ppc/4xx_io/serial_sicc.c
+++ b/arch/ppc/4xx_io/serial_sicc.c
@@ -1732,7 +1710,7 @@ static struct tty_operations sicc_ops = 
 	.flush_chars = siccuart_flush_chars,
 	.write_room = siccuart_write_room,
 	.chars_in_buffer = siccuart_chars_in_buffer,
-	.flush_buffer  = siccuart_flush_buffer,
+	.flush_buffer = siccuart_flush_buffer,
 	.ioctl = siccuart_ioctl,
 	.throttle = siccuart_throttle,
 	.unthrottle = siccuart_unthrottle,
@@ -1747,36 +1725,37 @@ static struct tty_operations sicc_ops = 
 
 int __init siccuart_init(void)
 {
-    int i;
-    siccnormal_driver = alloc_tty_driver(SERIAL_SICC_NR);
-    if (!siccnormal_driver)
-	return -ENOMEM;
-    printk("IBM Vesta SICC serial port driver V 0.1 by Yudong Yang and Yi Ge / IBM CRL .\n");
-    siccnormal_driver->driver_name = "serial_sicc";
-    siccnormal_driver->owner = THIS_MODULE;
-    siccnormal_driver->name = SERIAL_SICC_NAME;
-    siccnormal_driver->major = SERIAL_SICC_MAJOR;
-    siccnormal_driver->minor_start = SERIAL_SICC_MINOR;
-    siccnormal_driver->type = TTY_DRIVER_TYPE_SERIAL;
-    siccnormal_driver->subtype = SERIAL_TYPE_NORMAL;
-    siccnormal_driver->init_termios = tty_std_termios;
-    siccnormal_driver->init_termios.c_cflag = B9600 | CS8 | CREAD | HUPCL | CLOCAL;
-    siccnormal_driver->flags = TTY_DRIVER_REAL_RAW | TTY_DRIVER_NO_DEVFS;
-    tty_set_operations(siccnormal_driver, &sicc_ops);
-
-    if (tty_register_driver(siccnormal_driver))
-        panic("Couldn't register SICC serial driver\n");
-
-    for (i = 0; i < SERIAL_SICC_NR; i++) {
-        struct SICC_state *state = sicc_state + i;
-        state->line     = i;
-        state->close_delay  = msecs_to_jiffies(500);
-        state->closing_wait = 30 * HZ;
-	spin_lock_init(&state->sicc_lock);
-    }
-
+	int i;
+	siccnormal_driver = alloc_tty_driver(SERIAL_SICC_NR);
+	if (!siccnormal_driver)
+		return -ENOMEM;
+	printk
+	    ("IBM Vesta SICC serial port driver V 0.1 by Yudong Yang and Yi Ge / IBM CRL .\n");
+	siccnormal_driver->driver_name = "serial_sicc";
+	siccnormal_driver->owner = THIS_MODULE;
+	siccnormal_driver->name = SERIAL_SICC_NAME;
+	siccnormal_driver->major = SERIAL_SICC_MAJOR;
+	siccnormal_driver->minor_start = SERIAL_SICC_MINOR;
+	siccnormal_driver->type = TTY_DRIVER_TYPE_SERIAL;
+	siccnormal_driver->subtype = SERIAL_TYPE_NORMAL;
+	siccnormal_driver->init_termios = tty_std_termios;
+	siccnormal_driver->init_termios.c_cflag =
+	    B9600 | CS8 | CREAD | HUPCL | CLOCAL;
+	siccnormal_driver->flags = TTY_DRIVER_REAL_RAW | TTY_DRIVER_NO_DEVFS;
+	tty_set_operations(siccnormal_driver, &sicc_ops);
+
+	if (tty_register_driver(siccnormal_driver))
+		panic("Couldn't register SICC serial driver\n");
+
+	for (i = 0; i < SERIAL_SICC_NR; i++) {
+		struct SICC_state *state = sicc_state + i;
+		state->line = i;
+		state->close_delay = msecs_to_jiffies(500);
+		state->closing_wait = 30 * HZ;
+		spin_lock_init(&state->sicc_lock);
+	}
 
-    return 0;
+	return 0;
 }
 
 __initcall(siccuart_init);
@@ -1793,26 +1772,26 @@ __initcall(siccuart_init);
 #ifdef used_and_not_const_char_pointer
 static int siccuart_console_read(struct console *co, const char *s, u_int count)
 {
-    struct SICC_port *port = &sicc_ports[co->index];
-    unsigned int status;
-    char *w;
-    int c;
-
-    pr_debug("siccuart_console_read() called\n");
-
-    c = 0;
-    w = s;
-    while (c < count) {
-        if(readb(port->uart_base +  BL_SICC_LSR) & _LSR_RBR_FULL) {
-            *w++ = readb(port->uart_base +  BL_SICC_RBR);
-            c++;
-        } else {
-            // nothing more to get, return
-            return c;
-        }
-    }
-    // return the count
-    return c;
+	struct SICC_port *port = &sicc_ports[co->index];
+	unsigned int status;
+	char *w;
+	int c;
+
+	pr_debug("siccuart_console_read() called\n");
+
+	c = 0;
+	w = s;
+	while (c < count) {
+		if (readb(port->uart_base + BL_SICC_LSR) & _LSR_RBR_FULL) {
+			*w++ = readb(port->uart_base + BL_SICC_RBR);
+			c++;
+		} else {
+			// nothing more to get, return
+			return c;
+		}
+	}
+	// return the count
+	return c;
 }
 #endif
 
@@ -1822,36 +1801,40 @@ static int siccuart_console_read(struct 
  *
  *  The console_lock must be held when we get here.
  */
-static void siccuart_console_write(struct console *co, const char *s, u_int count)
+static void siccuart_console_write(struct console *co, const char *s,
+				   u_int count)
 {
-    struct SICC_port *port = &sicc_ports[co->index];
-    unsigned int old_cr;
-    int i;
-
-    /*
-     *  First save the CR then disable the interrupts
-     */
-    old_cr = readb(port->uart_base +  BL_SICC_TxCR);
-    writeb(old_cr & ~_TxCR_DME_MASK, port->uart_base +  BL_SICC_TxCR);
-
-    /*
-     *  Now, do each character
-     */
-    for (i = 0; i < count; i++) {
-        while ((readb(port->uart_base +  BL_SICC_LSR)&_LSR_TX_ALL) != _LSR_TX_ALL);
-        writeb(s[i], port->uart_base +  BL_SICC_TBR);
-        if (s[i] == '\n') {
-            while ((readb(port->uart_base +  BL_SICC_LSR)&_LSR_TX_ALL) != _LSR_TX_ALL);
-            writeb('\r', port->uart_base +  BL_SICC_TBR);
-        }
-    }
-
-    /*
-     *  Finally, wait for transmitter to become empty
-     *  and restore the TCR
-     */
-    while ((readb(port->uart_base +  BL_SICC_LSR)&_LSR_TX_ALL) != _LSR_TX_ALL);
-    writeb(old_cr, port->uart_base +  BL_SICC_TxCR);
+	struct SICC_port *port = &sicc_ports[co->index];
+	unsigned int old_cr;
+	int i;
+
+	/*
+	 *  First save the CR then disable the interrupts
+	 */
+	old_cr = readb(port->uart_base + BL_SICC_TxCR);
+	writeb(old_cr & ~_TxCR_DME_MASK, port->uart_base + BL_SICC_TxCR);
+
+	/*
+	 *  Now, do each character
+	 */
+	for (i = 0; i < count; i++) {
+		while ((readb(port->uart_base + BL_SICC_LSR) & _LSR_TX_ALL) !=
+		       _LSR_TX_ALL) ;
+		writeb(s[i], port->uart_base + BL_SICC_TBR);
+		if (s[i] == '\n') {
+			while ((readb(port->uart_base + BL_SICC_LSR) &
+				_LSR_TX_ALL) != _LSR_TX_ALL) ;
+			writeb('\r', port->uart_base + BL_SICC_TBR);
+		}
+	}
+
+	/*
+	 *  Finally, wait for transmitter to become empty
+	 *  and restore the TCR
+	 */
+	while ((readb(port->uart_base + BL_SICC_LSR) & _LSR_TX_ALL) !=
+	       _LSR_TX_ALL) ;
+	writeb(old_cr, port->uart_base + BL_SICC_TxCR);
 }
 
 /*
@@ -1859,12 +1842,12 @@ static void siccuart_console_write(struc
  */
 static int siccuart_console_wait_key(struct console *co)
 {
-    struct SICC_port *port = &sicc_ports[co->index];
-    int c;
+	struct SICC_port *port = &sicc_ports[co->index];
+	int c;
 
-    while(!(readb(port->uart_base +  BL_SICC_LSR) & _LSR_RBR_FULL));
-    c = readb(port->uart_base +  BL_SICC_RBR);
-    return c;
+	while (!(readb(port->uart_base + BL_SICC_LSR) & _LSR_RBR_FULL)) ;
+	c = readb(port->uart_base + BL_SICC_RBR);
+	return c;
 }
 
 static struct tty_driver *siccuart_console_device(struct console *c, int *index)
@@ -1875,135 +1858,164 @@ static struct tty_driver *siccuart_conso
 
 static int __init siccuart_console_setup(struct console *co, char *options)
 {
-    struct SICC_port *port;
-    int baud = 9600;
-    int bits = 8;
-    int parity = 'n';
-    u_int cflag = CREAD | HUPCL | CLOCAL;
-    u_int lcr_h, quot;
-
-
-    if (co->index >= SERIAL_SICC_NR)
-        co->index = 0;
-
-    port = &sicc_ports[co->index];
-
-    if (port->uart_base == 0)
-	port->uart_base = (int)ioremap(port->uart_base_phys, PAGE_SIZE);
-
-    if (options) {
-        char *s = options;
-        baud = simple_strtoul(s, NULL, 10);
-        while (*s >= '0' && *s <= '9')
-            s++;
-        if (*s) parity = *s++;
-        if (*s) bits = *s - '0';
-    }
-
-    /*
-     *    Now construct a cflag setting.
-     */
-    switch (baud) {
-    case 1200:  cflag |= B1200;         break;
-    case 2400:  cflag |= B2400;         break;
-    case 4800:  cflag |= B4800;         break;
-    default:    cflag |= B9600;   baud = 9600;  break;
-    case 19200: cflag |= B19200;        break;
-    case 38400: cflag |= B38400;        break;
-    case 57600: cflag |= B57600;        break;
-    case 115200:    cflag |= B115200;       break;
-    }
-    switch (bits) {
-    case 7:   cflag |= CS7; lcr_h = _LCR_PE_DISABLE | _LCR_DB_7_BITS | _LCR_SB_1_BIT;   break;
-    default:  cflag |= CS8; lcr_h = _LCR_PE_DISABLE | _LCR_DB_8_BITS | _LCR_SB_1_BIT;   break;
-    }
-    switch (parity) {
-    case 'o':
-    case 'O': cflag |= PARODD; lcr_h |= _LCR_PTY_ODD;   break;
-    case 'e':
-    case 'E': cflag |= PARENB; lcr_h |= _LCR_PE_ENABLE |  _LCR_PTY_ODD; break;
-    }
-
-    co->cflag = cflag;
-
-
-       {
-           // a copy of is inserted here ppc403SetBaud(com_port, (int)9600);
-           unsigned long divisor, clockSource, temp;
-           unsigned int rate = baud;
-
-          /* Ensure CICCR[7] is 0 to select Internal Baud Clock */
-          powerpcMtcic_cr((unsigned long)(powerpcMfcic_cr() & 0xFEFFFFFF));
-
-          /* Determine Internal Baud Clock Frequency */
-          /* powerpcMfclkgpcr() reads DCR 0x120 - the*/
-          /* SCCR (Serial Clock Control Register) on Vesta */
-          temp = powerpcMfclkgpcr();
-
-          if(temp & 0x00000080) {
-              clockSource = 324000000;
-          }
-          else {
-              clockSource = 216000000;
-          }
-          clockSource = clockSource/(unsigned long)((temp&0x00FC0000)>>18);
-          divisor = clockSource/(16*rate) - 1;
-          /* divisor has only 12 bits of resolution */
-          if(divisor>0x00000FFF){
-               divisor=0x00000FFF;
-          }
-
-          quot = divisor;
-       }
-
-    writeb((quot & 0x00000F00)>>8, port->uart_base + BL_SICC_BRDH );
-    writeb( quot & 0x00000FF,      port->uart_base   + BL_SICC_BRDL );
-
-    /* Set CTL2 reg to use external clock (ExtClk) and enable FIFOs. */
-    /* For now, do NOT use FIFOs since 403 UART did not have this    */
-    /* capability and this driver was inherited from 403UART.        */
-    writeb(_CTL2_EXTERN, port->uart_base  + BL_SICC_CTL2);
-
-    writeb(lcr_h, port->uart_base + BL_SICC_LCR);
-    writeb(_RCR_ER_ENABLE | _RCR_PME_HARD, port->uart_base + BL_SICC_RCR);
-    writeb( _TxCR_ET_ENABLE , port->uart_base + BL_SICC_TxCR);
-
-    // writeb(, info->port->uart_base + BL_SICC_RCR );
-    /*
-     * Transmitter Command Register: Transmitter enabled & DMA + TBR interrupt
-     * + Transmitter Empty interrupt + Transmitter error interrupt disabled &
-     * Stop mode when CTS active enabled & Transmit Break + Pattern Generation
-     * mode disabled.
-     */
-
-    writeb( 0x00, port->uart_base + BL_SICC_IrCR );  // disable IrDA
-
-    readb(port->uart_base + BL_SICC_RBR);
-
-    writeb(0xf8, port->uart_base + BL_SICC_LSR);   /* reset bits 0-4 of LSR */
-
-    /* we will enable the port as we need it */
-
-    return 0;
-}
-
-static struct console siccuart_cons =
-{
-    .name =     SERIAL_SICC_NAME,
-    .write =    siccuart_console_write,
+	struct SICC_port *port;
+	int baud = 9600;
+	int bits = 8;
+	int parity = 'n';
+	u_int cflag = CREAD | HUPCL | CLOCAL;
+	u_int lcr_h, quot;
+
+	if (co->index >= SERIAL_SICC_NR)
+		co->index = 0;
+
+	port = &sicc_ports[co->index];
+
+	if (port->uart_base == 0)
+		port->uart_base = (int)ioremap(port->uart_base_phys, PAGE_SIZE);
+
+	if (options) {
+		char *s = options;
+		baud = simple_strtoul(s, NULL, 10);
+		while (*s >= '0' && *s <= '9')
+			s++;
+		if (*s)
+			parity = *s++;
+		if (*s)
+			bits = *s - '0';
+	}
+
+	/*
+	 *    Now construct a cflag setting.
+	 */
+	switch (baud) {
+	case 1200:
+		cflag |= B1200;
+		break;
+	case 2400:
+		cflag |= B2400;
+		break;
+	case 4800:
+		cflag |= B4800;
+		break;
+	default:
+		cflag |= B9600;
+		baud = 9600;
+		break;
+	case 19200:
+		cflag |= B19200;
+		break;
+	case 38400:
+		cflag |= B38400;
+		break;
+	case 57600:
+		cflag |= B57600;
+		break;
+	case 115200:
+		cflag |= B115200;
+		break;
+	}
+	switch (bits) {
+	case 7:
+		cflag |= CS7;
+		lcr_h = _LCR_PE_DISABLE | _LCR_DB_7_BITS | _LCR_SB_1_BIT;
+		break;
+	default:
+		cflag |= CS8;
+		lcr_h = _LCR_PE_DISABLE | _LCR_DB_8_BITS | _LCR_SB_1_BIT;
+		break;
+	}
+	switch (parity) {
+	case 'o':
+	case 'O':
+		cflag |= PARODD;
+		lcr_h |= _LCR_PTY_ODD;
+		break;
+	case 'e':
+	case 'E':
+		cflag |= PARENB;
+		lcr_h |= _LCR_PE_ENABLE | _LCR_PTY_ODD;
+		break;
+	}
+
+	co->cflag = cflag;
+
+	{
+		// a copy of is inserted here ppc403SetBaud(com_port, (int)9600);
+		unsigned long divisor, clockSource, temp;
+		unsigned int rate = baud;
+
+		/* Ensure CICCR[7] is 0 to select Internal Baud Clock */
+		powerpcMtcic_cr((unsigned long)(powerpcMfcic_cr() &
+						0xFEFFFFFF));
+
+		/* Determine Internal Baud Clock Frequency */
+		/* powerpcMfclkgpcr() reads DCR 0x120 - the */
+		/* SCCR (Serial Clock Control Register) on Vesta */
+		temp = powerpcMfclkgpcr();
+
+		if (temp & 0x00000080) {
+			clockSource = 324000000;
+		} else {
+			clockSource = 216000000;
+		}
+		clockSource =
+		    clockSource / (unsigned long)((temp & 0x00FC0000) >> 18);
+		divisor = clockSource / (16 * rate) - 1;
+		/* divisor has only 12 bits of resolution */
+		if (divisor > 0x00000FFF) {
+			divisor = 0x00000FFF;
+		}
+
+		quot = divisor;
+	}
+
+	writeb((quot & 0x00000F00) >> 8, port->uart_base + BL_SICC_BRDH);
+	writeb(quot & 0x00000FF, port->uart_base + BL_SICC_BRDL);
+
+	/* Set CTL2 reg to use external clock (ExtClk) and enable FIFOs. */
+	/* For now, do NOT use FIFOs since 403 UART did not have this    */
+	/* capability and this driver was inherited from 403UART.        */
+	writeb(_CTL2_EXTERN, port->uart_base + BL_SICC_CTL2);
+
+	writeb(lcr_h, port->uart_base + BL_SICC_LCR);
+	writeb(_RCR_ER_ENABLE | _RCR_PME_HARD, port->uart_base + BL_SICC_RCR);
+	writeb(_TxCR_ET_ENABLE, port->uart_base + BL_SICC_TxCR);
+
+	// writeb(, info->port->uart_base + BL_SICC_RCR );
+	/*
+	 * Transmitter Command Register: Transmitter enabled & DMA + TBR interrupt
+	 * + Transmitter Empty interrupt + Transmitter error interrupt disabled &
+	 * Stop mode when CTS active enabled & Transmit Break + Pattern Generation
+	 * mode disabled.
+	 */
+
+	writeb(0x00, port->uart_base + BL_SICC_IrCR);	// disable IrDA
+
+	readb(port->uart_base + BL_SICC_RBR);
+
+	writeb(0xf8, port->uart_base + BL_SICC_LSR);	/* reset bits 0-4 of LSR */
+
+	/* we will enable the port as we need it */
+
+	return 0;
+}
+
+static struct console siccuart_cons = {
+	.name = SERIAL_SICC_NAME,
+	.write = siccuart_console_write,
 #ifdef used_and_not_const_char_pointer
-    .read =     siccuart_console_read,
+	.read = siccuart_console_read,
 #endif
-    .device =   siccuart_console_device,
-    .wait_key = siccuart_console_wait_key,
-    .setup =    siccuart_console_setup,
-    .flags =    CON_PRINTBUFFER,
-    .index =    -1,
+	.device = siccuart_console_device,
+	.wait_key = siccuart_console_wait_key,
+	.setup = siccuart_console_setup,
+	.flags = CON_PRINTBUFFER,
+	.index = -1,
 };
 
 void __init sicc_console_init(void)
 {
-    register_console(&siccuart_cons);
+	register_console(&siccuart_cons);
 }
 
-#endif /* CONFIG_SERIAL_SICC_CONSOLE */
+#endif				/* CONFIG_SERIAL_SICC_CONSOLE */
--- a/arch/ppc/8260_io/fcc_enet.c
+++ b/arch/ppc/8260_io/fcc_enet.c
@@ -1305,11 +1305,9 @@ static void mii_parse_dm9161_scsr(uint m
 
 static void mii_dm9161_wait(uint mii_reg, struct net_device *dev)
 {
-	int timeout = HZ;
-
 	/* Davicom takes a bit to come up after a reset,
 	 * so wait here for a bit */
-	schedule_timeout_uninterruptible(timeout);
+	ssleep(1);
 }
 
 static phy_info_t phy_info_dm9161 = {
--- a/arch/ppc/8xx_io/cs4218_tdm.c
+++ b/arch/ppc/8xx_io/cs4218_tdm.c
@@ -126,11 +126,11 @@ static int numReadBufs = 4, readbufSize 
 */
 static volatile cbd_t	*rx_base, *rx_cur, *tx_base, *tx_cur;
 
-MODULE_PARM(catchRadius, "i");
-MODULE_PARM(numBufs, "i");
-MODULE_PARM(bufSize, "i");
-MODULE_PARM(numreadBufs, "i");
-MODULE_PARM(readbufSize, "i");
+module_param(catchRadius, int, 0);
+module_param(numBufs, int, 0);
+module_param(bufSize, int, 0);
+module_param(numreadBufs, int, 0);
+module_param(readbufSize, int, 0);
 
 #define arraysize(x)	(sizeof(x)/sizeof(*(x)))
 #define le2be16(x)	(((x)<<8 & 0xff00) | ((x)>>8 & 0x00ff))
--- a/arch/ppc/boot/common/misc-common.c
+++ b/arch/ppc/boot/common/misc-common.c
@@ -280,7 +280,7 @@ puthex(unsigned long val)
 	int i;
 	for (i = 7;  i >= 0;  i--)
 	{
-		buf[i] = "0123456789ABCDEF"[val & 0x0F];
+		buf[i] = large_digits[val & 0x0F];
 		val >>= 4;
 	}
 	buf[8] = '\0';
@@ -362,13 +362,13 @@ _vprintk(void(*putc)(const char), const 
 						sign = '-';
 						val = -val;
 					}
-					length = _cvt(val, buf, 10, "0123456789");
+					length = _cvt(val, buf, 10, small_digits);
 					break;
 				case 'x':
-					length = _cvt(val, buf, 16, "0123456789abcdef");
+					length = _cvt(val, buf, 16, small_digits);
 					break;
 				case 'X':
-					length = _cvt(val, buf, 16, "0123456789ABCDEF");
+					length = _cvt(val, buf, 16, large_digits);
 					break;
 				}
 				cp = buf;
@@ -450,7 +450,7 @@ _cvt(unsigned long val, char *buf, long 
 	} else
 		while (val)
 		{
-			*cp++ = digits[val % radix];
+			*cp++ = small_digits[val % radix];
 			val /= radix;
 		}
 	while (cp != temp)
--- a/arch/ppc/kernel/ppc-stub.c
+++ b/arch/ppc/kernel/ppc-stub.c
@@ -132,7 +132,6 @@ static u_int fault_jmp_buf[100];
 static int kdebug;
 
 
-static const char hexchars[]="0123456789abcdef";
 
 /* Place where we save old trap entries for restoration - sparc*/
 /* struct tt_entry kgdb_savettable[256]; */
@@ -206,28 +205,28 @@ mem2hex(const char *mem, char *buf, int 
 		if ((count == 2) && (((long)mem & 1) == 0)) {
 			tmp_s = *(unsigned short *)mem;
 			mem += 2;
-			*buf++ = hexchars[(tmp_s >> 12) & 0xf];
-			*buf++ = hexchars[(tmp_s >> 8) & 0xf];
-			*buf++ = hexchars[(tmp_s >> 4) & 0xf];
-			*buf++ = hexchars[tmp_s & 0xf];
+			*buf++ = small_digits[(tmp_s >> 12) & 0xf];
+			*buf++ = small_digits[(tmp_s >> 8) & 0xf];
+			*buf++ = small_digits[(tmp_s >> 4) & 0xf];
+			*buf++ = small_digits[tmp_s & 0xf];
 
 		} else if ((count == 4) && (((long)mem & 3) == 0)) {
 			tmp_l = *(unsigned int *)mem;
 			mem += 4;
-			*buf++ = hexchars[(tmp_l >> 28) & 0xf];
-			*buf++ = hexchars[(tmp_l >> 24) & 0xf];
-			*buf++ = hexchars[(tmp_l >> 20) & 0xf];
-			*buf++ = hexchars[(tmp_l >> 16) & 0xf];
-			*buf++ = hexchars[(tmp_l >> 12) & 0xf];
-			*buf++ = hexchars[(tmp_l >> 8) & 0xf];
-			*buf++ = hexchars[(tmp_l >> 4) & 0xf];
-			*buf++ = hexchars[tmp_l & 0xf];
+			*buf++ = small_digits[(tmp_l >> 28) & 0xf];
+			*buf++ = small_digits[(tmp_l >> 24) & 0xf];
+			*buf++ = small_digits[(tmp_l >> 20) & 0xf];
+			*buf++ = small_digits[(tmp_l >> 16) & 0xf];
+			*buf++ = small_digits[(tmp_l >> 12) & 0xf];
+			*buf++ = small_digits[(tmp_l >> 8) & 0xf];
+			*buf++ = small_digits[(tmp_l >> 4) & 0xf];
+			*buf++ = small_digits[tmp_l & 0xf];
 
 		} else {
 			while (count-- > 0) {
 				ch = *mem++;
-				*buf++ = hexchars[ch >> 4];
-				*buf++ = hexchars[ch & 0xf];
+				*buf++ = small_digits[ch >> 4];
+				*buf++ = small_digits[ch & 0xf];
 			}
 		}
 
@@ -412,8 +411,8 @@ static void putpacket(unsigned char *buf
 		}
 
 		putDebugChar('#');
-		putDebugChar(hexchars[checksum >> 4]);
-		putDebugChar(hexchars[checksum & 0xf]);
+		putDebugChar(small_digits[checksum >> 4]);
+		putDebugChar(small_digits[checksum & 0xf]);
 		recv = getDebugChar();
 	} while ((recv & 0x7f) != '+');
 }
@@ -603,15 +602,15 @@ handle_exception (struct pt_regs *regs)
 	ptr = remcomOutBuffer;
 
 	*ptr++ = 'T';
-	*ptr++ = hexchars[sigval >> 4];
-	*ptr++ = hexchars[sigval & 0xf];
-	*ptr++ = hexchars[PC_REGNUM >> 4];
-	*ptr++ = hexchars[PC_REGNUM & 0xf];
+	*ptr++ = small_digits[sigval >> 4];
+	*ptr++ = small_digits[sigval & 0xf];
+	*ptr++ = small_digits[PC_REGNUM >> 4];
+	*ptr++ = small_digits[PC_REGNUM & 0xf];
 	*ptr++ = ':';
 	ptr = mem2hex((char *)&regs->nip, ptr, 4);
 	*ptr++ = ';';
-	*ptr++ = hexchars[SP_REGNUM >> 4];
-	*ptr++ = hexchars[SP_REGNUM & 0xf];
+	*ptr++ = small_digits[SP_REGNUM >> 4];
+	*ptr++ = small_digits[SP_REGNUM & 0xf];
 	*ptr++ = ':';
 	ptr = mem2hex(((char *)regs) + SP_REGNUM*4, ptr, 4);
 	*ptr++ = ';';
@@ -633,8 +632,8 @@ handle_exception (struct pt_regs *regs)
 		switch (remcomInBuffer[0]) {
 		case '?': /* report most recent signal */
 			remcomOutBuffer[0] = 'S';
-			remcomOutBuffer[1] = hexchars[sigval >> 4];
-			remcomOutBuffer[2] = hexchars[sigval & 0xf];
+			remcomOutBuffer[1] = small_digits[sigval >> 4];
+			remcomOutBuffer[2] = small_digits[sigval & 0xf];
 			remcomOutBuffer[3] = 0;
 			break;
 #if 0
--- a/arch/ppc/platforms/apus_setup.c
+++ b/arch/ppc/platforms/apus_setup.c
@@ -613,10 +613,9 @@ int __debug_serinit( void )
 void __debug_print_hex(unsigned long x)
 {
 	int i;
-	char hexchars[] = "0123456789ABCDEF";
 
 	for (i = 0; i < 8; i++) {
-		__debug_ser_out(hexchars[(x >> 28) & 15]);
+		__debug_ser_out(large_digits[(x >> 28) & 15]);
 		x <<= 4;
 	}
 	__debug_ser_out('\n');
--- a/arch/ppc/platforms/residual.c
+++ b/arch/ppc/platforms/residual.c
@@ -770,15 +770,14 @@ static int __init same_DevID(unsigned sh
 	       unsigned short Number,
 	       char * str)
 {
-	static unsigned const char hexdigit[]="0123456789ABCDEF";
 	if (strlen(str)!=7) return 0;
 	if ( ( ((vendor>>10)&0x1f)+'A'-1 == str[0])  &&
 	     ( ((vendor>>5)&0x1f)+'A'-1 == str[1])   &&
 	     ( (vendor&0x1f)+'A'-1 == str[2])        &&
-	     (hexdigit[(Number>>12)&0x0f] == str[3]) &&
-	     (hexdigit[(Number>>8)&0x0f] == str[4])  &&
-	     (hexdigit[(Number>>4)&0x0f] == str[5])  &&
-	     (hexdigit[Number&0x0f] == str[6]) ) return 1;
+	     (large_digits[(Number>>12)&0x0f] == str[3]) &&
+	     (large_digits[(Number>>8)&0x0f] == str[4])  &&
+	     (large_digits[(Number>>4)&0x0f] == str[5])  &&
+	     (large_digits[Number&0x0f] == str[6]) ) return 1;
 	return 0;
 }
 
--- a/arch/ppc/syslib/Makefile
+++ b/arch/ppc/syslib/Makefile
@@ -37,7 +37,6 @@ endif
 endif
 obj-$(CONFIG_8xx)		+= m8xx_setup.o ppc8xx_pic.o $(wdt-mpc8xx-y) \
 				   ppc_sys.o mpc8xx_devices.o mpc8xx_sys.o
-obj-$(CONFIG_PCI_QSPAN)		+= qspan_pci.o
 obj-$(CONFIG_PPC_OF)		+= prom_init.o prom.o
 obj-$(CONFIG_PPC_CHRP)		+= open_pic.o
 obj-$(CONFIG_PPC_PREP)		+= open_pic.o todc_time.o
--- a/arch/ppc/syslib/btext.c
+++ b/arch/ppc/syslib/btext.c
@@ -392,18 +392,17 @@ btext_drawstring(const char *c)
 void BTEXT
 btext_drawhex(unsigned long v)
 {
-	static char hex_table[] = "0123456789abcdef";
 
 	if (!boot_text_mapped)
 		return;
-	btext_drawchar(hex_table[(v >> 28) & 0x0000000FUL]);
-	btext_drawchar(hex_table[(v >> 24) & 0x0000000FUL]);
-	btext_drawchar(hex_table[(v >> 20) & 0x0000000FUL]);
-	btext_drawchar(hex_table[(v >> 16) & 0x0000000FUL]);
-	btext_drawchar(hex_table[(v >> 12) & 0x0000000FUL]);
-	btext_drawchar(hex_table[(v >>  8) & 0x0000000FUL]);
-	btext_drawchar(hex_table[(v >>  4) & 0x0000000FUL]);
-	btext_drawchar(hex_table[(v >>  0) & 0x0000000FUL]);
+	btext_drawchar(small_digits[(v >> 28) & 0x0000000FUL]);
+	btext_drawchar(small_digits[(v >> 24) & 0x0000000FUL]);
+	btext_drawchar(small_digits[(v >> 20) & 0x0000000FUL]);
+	btext_drawchar(small_digits[(v >> 16) & 0x0000000FUL]);
+	btext_drawchar(small_digits[(v >> 12) & 0x0000000FUL]);
+	btext_drawchar(small_digits[(v >>  8) & 0x0000000FUL]);
+	btext_drawchar(small_digits[(v >>  4) & 0x0000000FUL]);
+	btext_drawchar(small_digits[(v >>  0) & 0x0000000FUL]);
 	btext_drawchar(' ');
 }
 
--- a/arch/sh/drivers/dma/dma-api.c
+++ b/arch/sh/drivers/dma/dma-api.c
@@ -288,10 +288,13 @@ void unregister_dmac(struct dma_info *in
 
 static int __init dma_api_init(void)
 {
+	struct proc_dir_entry *ent;
 	printk("DMA: Registering DMA API.\n");
 
 #ifdef CONFIG_PROC_FS
-	create_proc_read_entry("dma", 0, 0, dma_read_proc, 0);
+	ent = create_proc_read_entry("dma", 0, 0, dma_read_proc, 0);
+	if (!ent)
+		printk(KERN_WARNING "dma-api.c: unable to create /proc entry\n");
 #endif
 
 	return 0;
--- a/arch/sh/kernel/cpu/sh4/sq.c
+++ b/arch/sh/kernel/cpu/sh4/sq.c
@@ -423,10 +423,14 @@ static struct miscdevice sq_dev = {
 
 static int __init sq_api_init(void)
 {
+	struct proc_dir_entry *ent;
 	printk(KERN_NOTICE "sq: Registering store queue API.\n");
 
 #ifdef CONFIG_PROC_FS
-	create_proc_read_entry("sq_mapping", 0, 0, sq_mapping_read_proc, 0);
+	ent = create_proc_read_entry("sq_mapping", 0, 0, 
+		sq_mapping_read_proc, 0);
+	if (!ent)
+		printk(KERN_WARNING "sq: unable to create /proc entry\n");
 #endif
 
 	return misc_register(&sq_dev);
--- a/arch/sh/kernel/kgdb_stub.c
+++ b/arch/sh/kernel/kgdb_stub.c
@@ -240,7 +240,6 @@ static jmp_buf rem_com_env;
 /* Misc static */
 static int stepped_address;
 static short stepped_opcode;
-static const char hexchars[] = "0123456789abcdef";
 static char in_buffer[BUFMAX];
 static char out_buffer[OUTBUFMAX];
 
@@ -268,13 +267,13 @@ static inline void ctrl_outl(const unsig
 /* Get high hex bits */
 static char highhex(const int x)
 {
-	return hexchars[(x >> 4) & 0xf];
+	return small_digits[(x >> 4) & 0xf];
 }
 
 /* Get low hex bits */
 static char lowhex(const int x)
 {
-	return hexchars[x & 0xf];
+	return small_digits[x & 0xf];
 }
 
 /* Convert ch to hex */
@@ -367,8 +366,8 @@ static char *ebin_to_mem(const char *buf
 /* Pack a hex byte */
 static char *pack_hex_byte(char *pkt, int byte)
 {
-	*pkt++ = hexchars[(byte >> 4) & 0xf];
-	*pkt++ = hexchars[(byte & 0xf)];
+	*pkt++ = small_digits[(byte >> 4) & 0xf];
+	*pkt++ = small_digits[(byte & 0xf)];
 	return pkt;
 }
 
--- a/arch/sh64/kernel/process.c
+++ b/arch/sh64/kernel/process.c
@@ -927,7 +927,11 @@ asids_proc_info(char *buf, char **start,
 
 static int __init register_proc_asids(void)
 {
-  create_proc_read_entry("asids", 0, NULL, asids_proc_info, NULL);
+	struct proc_dir_entry *ent;
+	ent = create_proc_read_entry("asids", 0, NULL, asids_proc_info, NULL);
+	if (!ent)
+		printk(KERN_WARNING 
+			"process.c: unable to create asids /proc entry\n");
   return 0;
 }
 
--- a/arch/sh64/mm/fault.c
+++ b/arch/sh64/mm/fault.c
@@ -592,8 +592,11 @@ tlb_proc_info(char *buf, char **start, o
 
 static int __init register_proc_tlb(void)
 {
-  create_proc_read_entry("tlb", 0, NULL, tlb_proc_info, NULL);
-  return 0;
+	struct proc_dir_entry *ent;
+	ent = create_proc_read_entry("tlb", 0, NULL, tlb_proc_info, NULL);
+	if (!ent)
+		printk(KERN_WARNING "fault.c: unable to create tlb /proc entry\n");
+	return 0;
 }
 
 __initcall(register_proc_tlb);
--- a/arch/sh64/mm/ioremap.c
+++ b/arch/sh64/mm/ioremap.c
@@ -459,7 +459,11 @@ ioremap_proc_info(char *buf, char **star
 static int __init register_proc_onchip(void)
 {
 #ifdef CONFIG_PROC_FS
-	create_proc_read_entry("io_map",0,0, ioremap_proc_info, &shmedia_iomap);
+	struct proc_dir_entry *ent;
+	ent = create_proc_read_entry("io_map",0,0, 
+		ioremap_proc_info, &shmedia_iomap);
+	if (!ent)
+		printk(KERN_WARNING "ioremap.c: unable to create /proc entry\n");
 #endif
 	return 0;
 }
--- a/arch/sparc/kernel/ioport.c
+++ b/arch/sparc/kernel/ioport.c
@@ -725,7 +725,16 @@ _sparc_find_resource(struct resource *ro
 void register_proc_sparc_ioport(void)
 {
 #ifdef CONFIG_PROC_FS
-	create_proc_read_entry("io_map",0,NULL,_sparc_io_get_info,&sparc_iomap);
-	create_proc_read_entry("dvma_map",0,NULL,_sparc_io_get_info,&_sparc_dvma);
+	struct proc_dir_entry *ent;
+	ent = create_proc_read_entry("io_map",0,NULL,
+		_sparc_io_get_info,&sparc_iomap);
+	if (!ent)
+		printk(KERN_WARNING 
+			"ioport.c: unable to create io_map /proc entry\n");
+	ent = create_proc_read_entry("dvma_map",0,NULL,
+		_sparc_io_get_info,&_sparc_dvma);
+	if (!ent)
+		printk(KERN_WARNING 
+			"ioport.c: unable to create dvma_map /proc entry\n");
 #endif
 }
--- a/arch/sparc/kernel/sparc-stub.c
+++ b/arch/sparc/kernel/sparc-stub.c
@@ -127,8 +127,6 @@ extern char getDebugChar(void);   /* rea
 
 static int initialized;	/* !0 means we've been initialized */
 
-static const char hexchars[]="0123456789abcdef";
-
 #define NUMREGS 72
 
 /* Number of bytes of registers.  */
@@ -298,8 +296,8 @@ putpacket(unsigned char *buffer)
 		}
 
 		putDebugChar('#');
-		putDebugChar(hexchars[checksum >> 4]);
-		putDebugChar(hexchars[checksum & 0xf]);
+		putDebugChar(small_digits[checksum >> 4]);
+		putDebugChar(small_digits[checksum & 0xf]);
 		recv = getDebugChar();
 	} while ((recv & 0x7f) != '+');
 }
@@ -337,8 +335,8 @@ mem2hex(char *mem, char *buf, int count)
 			".word 1b, 2b\n\t"
 			".text\n"
 			: "=r" (mem), "=r" (ch) : "0" (mem));
-		*buf++ = hexchars[ch >> 4];
-		*buf++ = hexchars[ch & 0xf];
+		*buf++ = small_digits[ch >> 4];
+		*buf++ = small_digits[ch & 0xf];
 	}
 
 	*buf = 0;
@@ -527,35 +525,35 @@ handle_exception (unsigned long *registe
 	ptr = remcomOutBuffer;
 
 	*ptr++ = 'T';
-	*ptr++ = hexchars[sigval >> 4];
-	*ptr++ = hexchars[sigval & 0xf];
+	*ptr++ = small_digits[sigval >> 4];
+	*ptr++ = small_digits[sigval & 0xf];
 
-	*ptr++ = hexchars[PC >> 4];
-	*ptr++ = hexchars[PC & 0xf];
+	*ptr++ = small_digits[PC >> 4];
+	*ptr++ = small_digits[PC & 0xf];
 	*ptr++ = ':';
 	ptr = mem2hex((char *)&registers[PC], ptr, 4);
 	*ptr++ = ';';
 
-	*ptr++ = hexchars[FP >> 4];
-	*ptr++ = hexchars[FP & 0xf];
+	*ptr++ = small_digits[FP >> 4];
+	*ptr++ = small_digits[FP & 0xf];
 	*ptr++ = ':';
 	ptr = mem2hex((char *) (sp + 8 + 6), ptr, 4); /* FP */
 	*ptr++ = ';';
 
-	*ptr++ = hexchars[SP >> 4];
-	*ptr++ = hexchars[SP & 0xf];
+	*ptr++ = small_digits[SP >> 4];
+	*ptr++ = small_digits[SP & 0xf];
 	*ptr++ = ':';
 	ptr = mem2hex((char *)&sp, ptr, 4);
 	*ptr++ = ';';
 
-	*ptr++ = hexchars[NPC >> 4];
-	*ptr++ = hexchars[NPC & 0xf];
+	*ptr++ = small_digits[NPC >> 4];
+	*ptr++ = small_digits[NPC & 0xf];
 	*ptr++ = ':';
 	ptr = mem2hex((char *)&registers[NPC], ptr, 4);
 	*ptr++ = ';';
 
-	*ptr++ = hexchars[O7 >> 4];
-	*ptr++ = hexchars[O7 & 0xf];
+	*ptr++ = small_digits[O7 >> 4];
+	*ptr++ = small_digits[O7 & 0xf];
 	*ptr++ = ':';
 	ptr = mem2hex((char *)&registers[O7], ptr, 4);
 	*ptr++ = ';';
@@ -577,8 +575,8 @@ handle_exception (unsigned long *registe
 		switch (remcomInBuffer[0]) {
 		case '?':
 			remcomOutBuffer[0] = 'S';
-			remcomOutBuffer[1] = hexchars[sigval >> 4];
-			remcomOutBuffer[2] = hexchars[sigval & 0xf];
+			remcomOutBuffer[1] = small_digits[sigval >> 4];
+			remcomOutBuffer[2] = small_digits[sigval & 0xf];
 			remcomOutBuffer[3] = 0;
 			break;
 
--- a/arch/x86_64/Makefile
+++ b/arch/x86_64/Makefile
@@ -42,7 +42,7 @@ CFLAGS += -Wno-sign-compare
 ifneq ($(CONFIG_UNWIND_INFO),y)
 CFLAGS += -fno-asynchronous-unwind-tables
 endif
-ifneq ($(CONFIG_DEBUG_INFO),y)
+ifndef CONFIG_DEBUG_INFO
 # -fweb shrinks the kernel a bit, but the difference is very small
 # it also messes up debugging, so don't use it for now.
 #CFLAGS += $(call cc-option,-fweb)
